#!/bin/bash

# Lista de nomes que pretendemos listar como opções
optins_list='Criar certificado+Atualizar Certificado+Verificar Certificado+Sair'

# Personalizar o prompt, frase apresentada pelo select ao pedir para inserirmos a opção 
PS3='Insira o numero correspondente à opção desejada: '

# Guardar o valor por defeito da variável IFS.
OLDIFS=$IFS

# Configurar o BASH para usar o sinal '+' como separador
# desta forma podemos separar as opções com o sinal '+'
IFS='+'

select option in $optins_list; do
    # Esta opção vai nos permitir sair do menu, quando escolhemos a opção "Sair"
    if [[ $option == 'Sair' ]]; then
        echo  Foi selecionada a opção: $option
        break
    fi

    # Aqui escrevemos no terminal a opção selecionada
    echo  Foi selecionada a opção: $option
done

# Como já temos os nossos dados organizados podemos repor o valor da variável IFS
# com o seu valor por defeito para usar no resto do script.
IFS=$OLDIFS